<?php


namespace IPS\pricingpage\modules\admin\settings;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * settings
 */
class _settings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
        $form = new \IPS\Helpers\Form;
        $form->add( new \IPS\Helpers\Form\Select( 'pricingpage_groups', ( \IPS\Settings::i()->pricingpage_groups == 'all' ) ? 'all' : explode( ',', \IPS\Settings::i()->pricingpage_groups ), TRUE, array( 'options' => \IPS\Member\Group::groups(TRUE, FALSE), 'parse' => 'normal', 'multiple' => true, 'unlimited' => 'all', 'unlimitedLang' => 'all_groups' ), NULL, NULL, NULL, 'pricingpage_groups' ) );
        $form->add( new \IPS\Helpers\Form\Editor( 'pricingpage_description', \IPS\Settings::i()->pricingpage_description, FALSE, array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'pricingpage_description' ), NULL, NULL, NULL, 'pricingpage_description' ) );
        
        if ( $values = $form->values() )
        {
            $form->saveAsSettings();
        }

        \IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Pricing Page' );
        \IPS\Output::i()->output = $form;
	}
	
	// Create new methods with the same name as the 'do' parameter which should execute it
}